Package org.apache.sysds.runtime.compress.cocode

# Class Memorizer

java.lang.Object
org.apache.sysds.runtime.compress.cocode.Memorizer

public class Memorizer extends Object

## Constructor Summary

Constructors
Constructor
Description
`Memorizer(AComEst sEst)`

## Method Summary

Modifier and Type
Method
Description
`CompressedSizeInfoColGroup`
`get(ColIndexes c)`
`CompressedSizeInfoColGroup`
`getOrCreate(ColIndexes cI, ColIndexes c1, ColIndexes c2)`
`void`
`incst1()`
`void`
`incst4()`
`void`
`put(ColIndexes key, CompressedSizeInfoColGroup val)`
`void`
`put(CompressedSizeInfoColGroup g)`
`void`
`remove(ColIndexes c1, ColIndexes c2)`
`void`
`resetStats()`
`String`
`stats()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Memorizer

public Memorizer(AComEst sEst)

## Method Details

### put

public void put(CompressedSizeInfoColGroup g)

### put

public void put(ColIndexes key, CompressedSizeInfoColGroup val)

### get

public CompressedSizeInfoColGroup get(ColIndexes c)

### remove

public void remove(ColIndexes c1, ColIndexes c2)

### getOrCreate

public CompressedSizeInfoColGroup getOrCreate(ColIndexes cI, ColIndexes c1, ColIndexes c2)

### incst1

public void incst1()

### incst4

public void incst4()

### stats

public String stats()

### resetStats

public void resetStats()

### toString

public String toString()

Overrides:
  `toString` in class `Object`